with GNATCOM.Dispinterface;

package MSHTML.IHTMLEventObj_Interface is

   type IHTMLEventObj_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLEventObj_Type);

   function Pointer (This : IHTMLEventObj_Type)
     return Pointer_To_IHTMLEventObj;

   procedure Attach (This    : in out IHTMLEventObj_Type;
                     Pointer : in     Pointer_To_IHTMLEventObj);

   function Get_srcElement
     (This : IHTMLEventObj_Type)
     return Pointer_To_IHTMLElement;

   function Get_altKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_ctrlKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_shiftKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_returnValue
     (This : IHTMLEventObj_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_returnValue
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cancelBubble
     (This : IHTMLEventObj_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_cancelBubble
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_fromElement
     (This : IHTMLEventObj_Type)
     return Pointer_To_IHTMLElement;

   function Get_toElement
     (This : IHTMLEventObj_Type)
     return Pointer_To_IHTMLElement;

   procedure Put_keyCode
     (This : IHTMLEventObj_Type;
      p    : Interfaces.C.long);

   function Get_keyCode
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_button
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_type
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.BSTR;

   function Get_qualifier
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.BSTR;

   function Get_reason
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_x
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_y
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_clientX
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_clientY
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_offsetX
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_offsetY
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_screenX
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_screenY
     (This : IHTMLEventObj_Type)
     return Interfaces.C.long;

   function Get_srcFilter
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.Pointer_To_IDispatch;

end MSHTML.IHTMLEventObj_Interface;

